import { ModuleWithProviders } from '@angular/core';
import { LocalizeConfig } from './interfaces/config.interfaces';
import { Localize } from './localize.service';
export declare class LocalizeModule {
    static forRoot(config: LocalizeConfig): ModuleWithProviders<LocalizeModule>;
}
export declare function initializeLocale(localize: Localize): () => Promise<import("./localize.dictionary").LocalizeDictionary>;
export declare function getLocale(localize: Localize): string;
